import { getDefaultExportFromCjs as e } from "../../_virtual/_commonjsHelpers.mjs";
import { __module as r } from "../../_virtual/index.mjs";
import { __require as o } from "../react-is/index.mjs";
import { __require as t } from "./factoryWithTypeCheckers.mjs";
import { __require as p } from "./factoryWithThrowingShims.mjs";
if (process.env.NODE_ENV !== "production") {
  var s = o(), i = !0;
  r.exports = t()(s.isElement, i);
} else
  r.exports = p()();
var m = r.exports;
const q = /* @__PURE__ */ e(m);
export {
  q as default
};
